/*
 * graphics.h
 *
 * Graphics function emulation
 * This pretty much attempts to emulate the QuickBasic-style text screen
 * in 25x40 or 25x80 mode with no scrolling...
 */

#ifndef GRAPHICS_H
#define GRAPHICS_H 1

#include <stdlib.h>
#include <inttypes.h>

int screen_init(int window);
void color(int fg, int bg);
void locate(int r, int c);
int screen(int r, int c);
int screen1(int r, int c);
void print(const char *str);
void lprint(int r, int c, const char *str);
void gprintf(const char *fmt, ...);
void lprintf(int r, int c, const char *fmt, ...);
void width(int wid);
void cls(void);
void update_blink(void);
void update_screen(void);

struct saved_screen;
struct saved_screen *save_screen(void);
void restore_screen(struct saved_screen *);

#endif /* GRAPHICS_H */
